using System;
using System.Collections.Generic;
using System.Text;
using System.EnterpriseServices;

namespace HelloLib
{
   public class HelloWorldComponent : ServicedComponent
   {
      public HelloWorldComponent()
      {
         // wszystkie komponenty COM+ MUSZĄ
         // 1. być publiczne
         // 2. być określone (typy ogólne)
         // 3. posiadać publiczny konstruktor
      }
      public void HelloWorld()
      {
         Console.WriteLine("Witaj Świecie w ramach komponentu COM+!");
      }
   }
}
